## hoz 1.65

=== Makefile ===

CC = gcc

OBJ = hoz.o hozgtk.o hozgtk_c.o hozgtk_i.o hozgtk_s.o hozcli.o
LINKOBJ  = hoz.o hozcli.o
GLINKOBJ  = hoz.o hozgtk.o hozgtk_c.o hozgtk_i.o hozgtk_s.o
CFLAGS = -Wall			 	\
	 -O2                            \
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED
BIN  = /usr/bin/hoz
GBIN  = /usr/bin/ghoz

GTK_COMP = `pkg-config gtk+-2.0 --cflags`
GTK_LINK = `pkg-config gtk+-2.0 --libs`


# `pkg-config gtk+-2.0 --cflags --libs`

.PHONY: all all-before all-after clean clean-custom cli gtk

all: all-before $(BIN) $(GBIN) all-after

cli: all-before ${BIN} all-after

gtk: all-before ${GBIN} all-after

clean: clean-custom
	rm -f $(OBJ)

clean2: clean-custom
	rm -f $(OBJ) ${BIN} ${GBIN}

hoz.o: hoz.c
	$(CC) -c hoz.c -o hoz.o $(CFLAGS) ${LANG}

hozgtk.o: hozgtk.c
	$(CC) -c hozgtk.c -o hozgtk.o $(CFLAGS) $(GTK_COMP) ${LANG}

hozgtk_c.o: hozgtk_c.c
	$(CC) -c hozgtk_c.c -o hozgtk_c.o $(CFLAGS) $(GTK_COMP) ${LANG} 

hozgtk_i.o: hozgtk_i.c
	$(CC) -c hozgtk_i.c -o hozgtk_i.o $(CFLAGS) $(GTK_COMP) ${LANG}

hozgtk_s.o: hozgtk_s.c
	$(CC) -c hozgtk_s.c -o hozgtk_s.o $(CFLAGS) $(GTK_COMP) ${LANG}

hozcli.o: hozcli.c
	$(CC) -c hozcli.c -o hozcli.o $(CFLAGS) ${LANG}

$(BIN): $(LINKOBJ)
	$(CC) $(LINKOBJ) -o $(BIN) $(LIBS)

$(GBIN): $(GLINKOBJ)
	$(CC) $(GLINKOBJ) -o $(GBIN) $(LIBS) $(GTK_LINK)

=== debian/changelog ===
hoz (1.65-3) unstable; urgency=medium

  * Fixed partsize miscalculation. Closes: #499318
    - Thanks to Carlos G.
  * Upgraded Standards-Version from 3.8.0 to 4.2.1.2
  * Increased compat level to 9
  * Sanitize debian/rules
  * Removed debian/watch file. It was useless. Closes: #450270

 -- Miriam Ruiz <miriam@debian.org>  Wed, 17 Oct 2018 11:47:43 +0200

hoz (1.65-2) unstable; urgency=low

  * Added sanitize_path.patch to make sure that paths are properly handled to
    avoid potential security holes. Closes: #495297
  * Fixed miscalculation of partsize passed to cli via '-c' arg. Closes: #495646
    Thanks to Carlos Galisteo <cgalisteo@k-rolus.net>
  * Upgraded Standards-Version to 3.8.0. No changes needed.
  * Added Homepage field to debian/control
  * Do not ignore make clean errors in debian/rules
  * Fixed man page
  * Changed menu section to "Applications/File Management"

 -- Miriam Ruiz <little_miry@yahoo.es>  Mon, 18 Aug 2008 14:28:31 +0200

hoz (1.65-1) unstable; urgency=low

  * Initial release (Closes: #394585)
  * Changed i18n system to gettext.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 18 Oct 2006 18:57:35 +0000

=== debian/control ===
Source: hoz
Section: utils
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends: debhelper, quilt, gettext, help2man, libgtk2.0-dev
Standards-Version: 4.2.1.2
Homepage: http://hoz.sourceforge.net/

Package: hoz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: file splitter that uses the hacha file format
 HOZ is a file splitter, which uses the same file format as the popular
 'Hacha' program.

Package: hoz-gui
Architecture: any
Depends: hoz (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: file splitter that uses the hacha file format
 HOZ is a file splitter, which uses the same file format as the popular
 'Hacha' program.
 .
 This package includes the GUI interface for the program.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS) $(LDFLAGS2)"
	cd debian/msg && $(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS) $(LDFLAGS2)"
	cd debian/h2m && chmod +x hoz && help2man ./hoz --no-discard-stderr --include=hoz.h2m --no-info > hoz.1
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	cd debian/msg && $(MAKE) clean
	rm -f ghoz hoz h2m/hoz.1
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cd debian/msg && $(MAKE) install LOCALEDIR=$(CURDIR)/debian/hoz/usr/share/locale/
	dh_installdirs -phoz-gui usr/share/pixmaps
	#dh_installdirs -phoz usr/share/applications
	dh_install -phoz-gui debian/ghoz.xpm usr/share/pixmaps
        #dh_install -phoz debian/hoz.desktop usr/share/applications

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install -phoz hoz usr/bin
	dh_install -phoz-gui ghoz usr/bin
	dh_installmenu
	dh_installman debian/h2m/hoz.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
